<form #FormSelectStatus="ngForm" name="FormSelectStatus" >    
    <div class="modal-header">
        <h4 class="modal-title pull-left">Gestione stati contenzioso</h4>
    </div>
    <app-alert [scope]="AlertScope.MODAL"></app-alert>
    <div class="modal-body">
      
            <div class="form-group">

            <ng-select [items]="statusList" name="selectedStatus"
                       [(ngModel)]="selectedStatus"
                       bindLabel="description"
                       placeholder="Selezionare uno stato contenzioso"
                       (keyup.esc)="$event.preventDefault()" required #SelectedStatusRef="ngModel">
            </ng-select>
            <div *ngIf="(SelectedStatusRef.errors && (SelectedStatusRef.dirty || SelectedStatusRef.touched))" class="validation-messagesSelect">
                 <div>Campo obbligatorio</div>
            </div>
            </div>        
    </div>
    <div class="modal-footer">
            <button type="button" class="btn btn-sm btn-success size buttonConfirm" [disabled]="!FormSelectStatus.valid" (click)="updateStatus()"
            >Conferma</button>
        <button (click)="close()" type="button" class="btn btn-sm btn-danger size buttonCancel"
            >Annulla</button>       
    </div>
</form>